oro:
    discount:
        type:
            label: Discount
            choices:
                order: Order Total
                line_item: Order Line Item
                buy_x_get_y: Buy X Get Y (Same Product)
                shipping: Shipping
    discount_options:
        general:
            type:
                label: Type
                tooltip: Based on the type, promotion either enables a discount by some % of the line item price or introduces a fixed discount (e.g. -10USD) off the line item price. Note that when a fixed discount is used, the promotion applies to the order in the selected currency only.
                choices:
                    amount: Fixed Amount
                    percent: Percent
            value:
                label: Discount Value
                tooltip: The discount will be applied only if the currency during checkout matches the currency specified here. Please create separate promotions for each currency if multiple display currencies are enabled on the store frontend.
        line_item_type:
            product_unit:
                label: Unit of Quantity
            apply_to:
                label: Apply Discount To
                choices:
                    each_item: Each Item
                    line_items_total: Line Items Total
            maximum_qty:
                label: Maximum Qty Discount is Applied To
                tooltip: The quantity of products of the same type eligible for a discount in a line item/order. For example, when the limit is set to 10 and a buyer orders 100 items, they will be charged the discounted price for 10 items out of 100, and will pay the full price for the remaining 90 items.
        buy_x_get_y_type:
            buy_x.label: Buy X Quantity
            get_y.label: Get Y Quantity
            product_unit:
                label: Unit of Quantity
            apply_to:
                label: Apply Discount To
                choices:
                    apply_to_each_y: Each Y Item Separately
                    apply_to_xy_total: X + Y Total
            limit_times:
                label: Limit, times
                tooltip: The quantity of discounted groups (X+Y) of the same type eligible for a discount in a line item/order. For example, when the limit is set to 2 and a buyer orders 3 groups of 3+2 items (15 in total), they will be charged the discounted price for 2 groups out of 3, and will pay the full price for the remaining one group.
        shipping_type:
            shipping_method:
                label: Shipping Method
    promotion:
        all_label: All Promotions
        entity_label: Promotion
        entity_plural_label: Promotions
        entity_grid_all_view_label: All %entity_plural_label%
        entity_description: Represents promotion information
        id.label: ID
        coupons.label: Coupons
        descriptions.label: Descriptions
        descriptions.tooltip: This description will be displayed to user
        discount_configuration.label: Discount Configuration
        labels:
            label: Storefront Labels
            tooltip: This label will be displayed to customer user.
        name.tooltip: The promotion name will show in the order details.
        enabled.tooltip: Enable the checkbox to activate the promotion. To deactivate it, clear the checkbox.
        sort_order.tooltip:  Enter the sort order to set the priority compared to other available promotions. The lower is the number, the higher is the priority.
        stop_processing.tooltip: Select this option if you wish to prevent applying other promotions with lower priority.
        organization.label: Organization
        owner.label: Owner
        products_segment.label: Product Segment
        schedules.label: Schedules
        scopes.label: Scopes
        use_coupons:
            label: Triggered by
            tooltip: Select Coupons and Conditions if the promotion is going to use either only coupons, or coupons and conditions together. If you need to trigger the promotion solely by conditions, use the Conditions Only option.
            no: Conditions only
            yes: Coupons and Conditions
        rule:
            label: Rule
            name.label: Name
            enabled:
                label: Enabled
                active: Active
                inactive: Inactive
            stop_processing:
                yes: Yes
                no: No
            expression:
                toggle:
                    hide: Hide
                    show: Show
        dates.label: Dates
        restrictions.label: Restrictions
        advanced_conditions.label: Advanced Conditions

        ui:
            apply_button.label: Apply
            add_coupon_code.label: Add Coupon Code
            add_coupon_codes.title: Add Coupon Codes
            order_add_coupon.added.message: Coupons were added to order
            order_add_coupon.not_added.message: No coupons were added to order
            segment_edit_button.label: Edit within Promotion
            unassign_coupon:
                label: Unassign
                success.message: Coupon was Unassigned from the current Promotion
            duplicate:
                new_name: 'originalName (duplicated at dateTime)'
                label: Duplicate
                success_message: Promotion has been duplicated
        mass_action:
            unassign.success_message: "{0} No entities were Unassigned|{1} One entity was Unassigned|]1,Inf[ %count% entities were removed"

        blocks:
            general: General
            discount_options: Discount Options
            schedules: Schedules
            conditions: Conditions
            matching_items: Items To Discount

        discount:
            free_shipping:
                label: Free Shipping
                no: No
                for_matching_items_only: For Matching Items Only
                for_shipment_with_matching_items: For Shipment With Matching Items
            strategy:
                apply_all.label: Combine All Discounts
                profitable.label: Best Value Discount Only
            subtotal:
                order.label: 'Discount'
                shipping.label: 'Shipping Discount'

        discountconfiguration:
            entity_label: Discount Configuration
            entity_plural_label: Discount Configurations
            entity_grid_all_view_label: All %entity_plural_label%
            id.label: ID
            type:
                label: Type
                discount.label: Discount
            options:
                label: Options
                type.label: Type
                discount_value.label: Discount Value
                free_shipping.label: Free Shipping

        promotionschedule:
            entity_label: Promotion Schedule
            entity_plural_label: Promotion Schedules
            entity_grid_all_view_label: All %entity_plural_label%
            id.label: ID
            promotion.label: Promotion
            active_at.label: Activate At
            deactivate_at.label: Deactivate At

            was_activated: Was activated on %date%.
            was_deactivated: Was deactivated on %date%.
            will_be_acitivated: Will become active on %date%.
            will_be_deacitivated: Will be deactivated on %date%.
            active_now: Is active now.
            not_active_now: Is not active now.

        feature:
            label: Promotions
            description: Enable promotions and promotion-related functionality, and access to promotions via the API.

        system_configuration:
            groups:
                promotion.title: Promotions
                promotion_general.title: General Options
            fields:
                feature_enabled.label: Enable Promotions
                case_insensitive_coupon_search:
                    label: Case-Insensitive Coupon Codes
                    tooltip: Enable the option to ignore the letter case when applying coupon codes. In this case, "freeship" and "FREESHIP" are considered equal.
                discount_strategy.label: Discount Strategy

        controller:
            saved.message: Promotion has been saved

        form:
            choose: 'Choose a Promotion...'

        sections:
            general:
                label: General Information
                subsection:
                    general_info.label: General Information
                    discount_options.label: Discount Options
            conditions.label: Conditions
            matching_items.label: Items To Discount
            assigned_coupons.label: Assigned Coupons
            promotion_and_discounts.label: Promotions and Discounts

        applieddiscount:
            entity_label: Applied Discount
            entity_plural_label: Applied Discounts
            entity_grid_all_view_label: All %entity_plural_label%
            id.label: ID
            applied_promotion.label: Applied Promotion
            amount.label: Amount
            currency.label: Currency
            line_item.label: Line Item
            order.label: Order
            promotion.label: Promotion

        coupon:
            entity_label: Coupon
            entity_plural_label: Coupons
            entity_grid_all_view_label: All %entity_plural_label%
            organization.label: Organization
            owner.label: Owner
            id.label: Id
            code.label: Coupon Code
            code_uppercase.label: Coupon Code (Uppercase)
            promotion.label: Promotion
            enabled:
                label: Enabled
                active: Active
                inactive: Inactive
            uses_per_coupon.label: Uses per Coupon
            uses_per_person.label: Uses per Person
            valid_from.label: Valid From
            valid_until.label: Valid Until
            menu:
                coupon_list.description: List of existing coupons
                shortcut_new_coupon.label: Create new coupon
                shortcut_new_coupon.description: Create new coupon
            sections:
                general: General
                additional: Additional
            feature:
                label: Coupons
                description: Enables creating and managing coupons.
            form:
                title:
                    mass_edit: Mass Coupon Edit
                message:
                    saved: 'Coupon has been saved'
                tooltip:
                    coupon_code: 'Code value should be numeric, alphabetic or both and without spaces'
                    uses_per_person: 'Limits how many times the coupon may be used by the same customer user'
                    uses_per_coupon: 'Limits how many times the coupon may be used'
                add_type:
                    add_button.label: Add
            autocomplete:
                placeholder: Choose a Coupon Code...
            generation:
                label: Generate Multiple Coupons
                action:
                    generate: Generate
                couponQuantity.label: Coupon Quantity
                codeLength.label: Code Length
                codeType:
                    label: Code Type
                    numeric.label: Numeric
                    alphanumeric.label: Alphanumeric
                    alphabetic.label: Alphabetic
                codePrefix.label: Code Prefix
                codePreview.label: Code Preview
                codeSuffix.label: Code Suffix
                dashesSequence:
                    prefix.label: Add Dashes Every
                    suffix.label: Symbols
                message:
                    save_success: Coupons have been generated successfully
            create.label: Create Coupon
            coupons_actions.label: Coupons Actions
            importexport:
                promotion: Promotion Name

        appliedpromotion:
            entity_label: Applied Promotion
            entity_plural_label: Applied Promotions
            entity_grid_all_view_label: All %entity_plural_label%
            id.label: ID
            active:
                label: Active
                active: Active
                inactive: Inactive
            applied_coupon.label: Applied Coupon
            type.label: Type
            promotion.label: Promotion
            source_promotion_id.label: Source Promotion ID
            promotion_name.label: Promotion Name
            config_options.label: Options
            coupon_code.label: Coupon Code
            currency.label: Currency
            promotion_data.label: Promotion Data
            applied_discounts.label: Applied Discounts
            order.label: Order
            table_columns:
                code: Code
                promotion: Promotion
                type: Type
                status: Status
                discount: Discount
            actions:
                deactivate: Deactivate
                activate: Activate
                remove: Remove
                view: View
            no_entities: No records found

        appliedcoupon:
            entity_label: Applied Coupon
            entity_plural_label: Applied Coupons
            entity_grid_all_view_label: All %entity_plural_label%
            id.label: ID
            applied_promotion.label: Applied Promotion
            coupon_code.label: Coupon Code
            source_promotion_id.label: Source Promotion ID
            source_coupon_id.label: Source Coupon ID
            order.label: Order
            checkout.label: Checkout

    applied_discount:
        name: Name
        amount: Amount

    frontend:
        coupon:
            expand_link.label: 'I have a Coupon Code'
            widget:
                header.label: 'Coupon'
                input.aria_label: 'Use your coupon code for getting a discount'
                coupon_input.placeholder: 'Enter Coupon Code here'
                apply_button.label: 'Apply'
                apply_button.aria_label: 'Apply Coupon'
                applied_coupons_header.label: 'Applied Code'
                list.aria_label: 'The list of applied coupon codes'
                delete: 'Delete applied %counter% coupon: %coupon_name%'
        checkout:
            view:
                discount.label: 'Row Discount:'
    order:
        applied_coupons.label: Applied Coupons
        applied_discounts.label: Applied Discounts
        applied_promotions.label: Applied Promotions
        disable_promotions:
            label: Disable Promotions
            description: Allows to disable promotions engine in order to prevent it's execution for the order.
            disabled_for_oder: Promotions are disabled for the order.
        promotions:
            applied_discount:
                name: Name
                amount: Amount

        view:
            order_line_item:
                row_total_discount_amount.label: Row Total (Discount Amount)
                row_total_after_discount.label: Row Total (After Discount)
                row_total_after_discount_including_tax.label: Row Total (After Discount Including Tax)
                row_total_after_discount_excluding_tax.label: Row Total (After Discount Excluding Tax)

        edit:
            order_line_item:
                applied_discounts.label: Applied Discounts
                row_total: Row Total
                short:
                    discount_amount.label: Disc. Amount
                    row_total_after_discount.label: After Disc.
                    includingTax.label: After Disc. Incl. Tax
                    excludingTax.label:  After Disc. Excl. Tax

    checkout:
        applied_coupons.label: Applied Coupons
